Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454664 - Review Request: gupnp-ui - UPnP-UI is a collection of helpers for building user interfaces for gupnp apps
Summary: Review Request: gupnp-ui - UPnP-UI is a collection of helpers for building us...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 446639
Blocks: 454668
TreeView+ depends on / blocked
 
Reported: 2008-07-09 15:39 UTC by Peter Robinson
Modified: 2008-12-18 17:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-18 17:36:18 UTC
rjones: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2008-07-09 15:39:53 UTC
SPEC: http://pbrobinson.fedorapeople.org/gupnp-ui.spec
SRPM: http://pbrobinson.fedorapeople.org/gupnp-ui-0.1-1.fc9.src.rpm

GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-UI is a collection of helpers for building user interface
application components for gupnp applications.

Comment 1 Peter Robinson 2008-09-27 21:09:51 UTC
New upstream release. SPEC is in same location. 
SRPM: http://pbrobinson.fedorapeople.org/gupnp-ui-0.1.1-1.fc9.src.rpm

Comment 2 Richard W.M. Jones 2008-12-16 12:35:38 UTC
rpmlint report:

gupnp-ui.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Please fix the minor problem reported by rpmlint above.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
- license matches the actual package license

License is actually LGPLv2+

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  5ca6b3f6740d0295066b0b533289aa4c
+ package successfully builds on at least one architecture
  x86-64
n/a ExcludeArch bugs filed
? BuildRequires list all build dependencies

Was not able to test this yet, as Koji is down.

n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
n/a static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
? reviewer should build the package in mock
? the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
+ scriptlets should be sane
+ pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

===

A few things to fix there.

Comment 3 Peter Robinson 2008-12-16 13:05:06 UTC
Fixed license and tabs vs space issues.

SRPM: http://pbrobinson.fedorapeople.org/gupnp-ui-0.1.1-2.fc10.src.rpm
SPEC: http://pbrobinson.fedorapeople.org/gupnp-ui.spec

Comment 4 Richard W.M. Jones 2008-12-16 14:29:36 UTC
Yup, looking good.

===

APPROVED

Comment 5 Peter Robinson 2008-12-16 15:01:04 UTC
New Package CVS Request
=======================
Package Name: gupnp-ui
Short Description: a collection of helpers for building user interfaces for gupnp apps
Owners: pbrobinson
Branches: F-9 F-10

Comment 6 Kevin Fenzi 2008-12-18 00:22:47 UTC
cvs done.

Comment 7 Peter Robinson 2008-12-18 17:36:18 UTC
Committed to cvs, build and landed in rawhide


Note You need to log in before you can comment on or make changes to this bug.